(function () {
    'use strict';

    angular
        .module('app')
            .factory('ConsultaConfiguracaoPlataforma', ConsultaConfiguracaoPlataforma);

    ConsultaConfiguracaoPlataforma.$inject = ['Server', 'GlobalVariable'];

    function ConsultaConfiguracaoPlataforma(Server, GlobalVariable) {
        function CarregarConfiguracaoPlataformaPorCodigoPainel(codigoPainel, successCallback, errorCallback) {
            var action = 'PainelFinal/CarregarConfiguracaoPlataformaPorCodigoPainel?codigoPainel=' + codigoPainel;
            Server.get(action, null, successCallback, errorCallback);
        }
        return {
            CarregarConfiguracaoPlataformaPorCodigoPainel: CarregarConfiguracaoPlataformaPorCodigoPainel
        }
    }
})();